Summary:   	Fast Assembly Mpeg Encoding library
Name:      	libfame
Version:   	0.9.1
Release:   	0.lvn.1.3
Epoch:		0
Copyright: 	LGPL
Group:     	System Environment/Libraries
Source0:   	http://download.sourceforge.net/fame/%{name}-%{version}.tar.gz
Patch0:   	%{name}-aclocal18.patch
Patch1:   	%{name}-config-rpath.patch
Patch2:   	%{name}-gccver.patch
Patch3:   	%{name}-nomarch.patch
URL:       	http://fame.sourceforge.net/
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%package devel
Summary: 	Libraries and include to develop using FAME
Group: 		Development/Libraries
Requires: 	%{name} = %{epoch}:%{version}-%{release}

#---------------------------------------------------------------------

%description
FAME is a library for fast MPEG encoding.

%description devel
FAME is a library for fast MPEG encoding.
This package contains the libraries, include files and other resources
you can use to develop FAME applications.

#---------------------------------------------------------------------

%prep
%setup -q
%patch0 -p0 -b .aclocal18
%patch1 -p0 -b .config-rpath
%patch2 -p1 -b .gccver
%patch3 -p1 -b .nomarch
# yuk... prevent auto* from running due to gccvar and nomarch patches
touch config* aclocal.m4 `find -name Makefile.in`

#---------------------------------------------------------------------

%build
# Note: SSE support does nothing (as of 0.9.1).  grep for HAS_SSE.
%configure \
%ifarch i686 athlon ia64 x86_64
  --enable-mmx
%else
  --disable-mmx
%endif
make %{?_smp_flags}

#---------------------------------------------------------------------

%install
rm -Rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

#---------------------------------------------------------------------

%clean
rm -Rf $RPM_BUILD_ROOT

#---------------------------------------------------------------------

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS BUGS CHANGES COPYING README TODO
%{_libdir}/libfame*.so.*

%files devel
%defattr(-,root,root,-)
%exclude %{_libdir}/libfame.la
%{_bindir}/libfame-config
%{_includedir}/fame*.h
%{_libdir}/libfame.a
%{_libdir}/libfame.so
%{_datadir}/aclocal/libfame.m4
%{_mandir}/man3/fame*.3*

#---------------------------------------------------------------------

%changelog
* Sat Jul 17 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.9.1-0.lvn.1
- Update to 0.9.1.
- Control whether to use MMX based on buildarch.
- Include docs in main package.
- Avoid aclocal >= 1.8 warnings from libfame.m4.
- Avoid rpath in libfame-config.
- Fix gcc version detection.

* Tue May 18 2004 Dams <anvil[AT]livna.org> 0:0.9.0-0.lvn.7
- Fixed url in Source0

* Sun Sep 28 2003 Dams <anvil[AT]livna.org> 0:0.9.0-0.fdr.6
- Removed comment after scriptlets

* Mon Aug 11 2003 Dams <anvil[AT]livna.org> 0:0.9.0-0.fdr.5
- buildroot -> RPM_BUILD_ROOT

* Mon Apr  7 2003 Dams <anvil[AT]livna.org> 0:0.9.0-0.fdr.4
- Added closing parenthesis

* Thu Apr  3 2003 Dams <anvil[AT]livna.org> 0:0.9.0-0.fdr.3
- Added ".so" file to the devel package
- Corrected URL in source0

* Thu Apr  3 2003 Dams <anvil[AT]livna.org> 0:0.9.0-0.fdr.2
- Modified Requires/BuildRequires

* Wed Apr  2 2003 Dams <anvil[AT]livna.org> 0:0.9.0-0.fdr.1
- Reformated spec file according to fedora template/guidelines
